Bug 395199 - Uploading large video files to flickr fails [patch]
Summary: Uploading large video files to flickr fails [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-WebService-Flickr (show other bugs)
Version: 5.9.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-10 04:07 UTC by jgoerzen
Modified: 2018-08-11 13:14 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.0


Attachments
Patch to correct video uploads to Flickr (1.35 KB, patch)
2018-06-10 04:07 UTC, jgoerzen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jgoerzen 2018-06-10 04:07:40 UTC
Created attachment 113184 [details]
Patch to correct video uploads to Flickr

Flickr has separate size limits for photos and videos.  This is using
the photo size limit (200MB right now) for all uploads, including
videos, which have a 1GB limit on Flickr.

The attached patch uses the video limit for all uploads.  This at least
avoids artificially blocking some uploads; an API error would result on
photos over 200MB, but I think this is both acceptable and incredibly
rare.

I initially filed this to Debian as https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874675 and it has been accepted there.  I have tested this 1-line patch and it is working perfectly.
Comment 1 caulier.gilles 2018-06-10 05:06:02 UTC
Thanh,

This patch is for you (:=)))...

Gilles
Comment 2 Thanh Trung Dinh 2018-06-10 08:32:27 UTC
@jgoerzen Thank you for the patch!

@Gilles I will commit this patch to gsoc18-exporttools-o2 branch?
Comment 3 caulier.gilles 2018-06-10 10:09:18 UTC
Thanh,

Yes sure, with some adjustments if necessary due to your last changes...

Gilles
Comment 4 caulier.gilles 2018-06-16 12:20:53 UTC
Thanh

Did you apply this patch to your digiKam devel branch ?

Best

Gilles Caulier
Comment 5 Thanh Trung Dinh 2018-06-16 13:29:24 UTC
Gilles,

I applied this patch. I have committed it to gsoc2018-exporttools-o2.

Thanh.
Comment 6 caulier.gilles 2018-06-16 13:39:48 UTC
Perfect. So this file can be closed with "Version Fixed set to 6.0.0" and NEWS file patched with this entry title.

Gilles
Comment 7 caulier.gilles 2018-06-16 13:40:40 UTC
Thanh

Did you seen my mail send today in devel mailing list about to merge your branch in master ?

Gilles
Comment 8 Thanh Trung Dinh 2018-06-16 13:53:39 UTC
Gilles,

Yes, I saw it. I'm writing an answer with as most details as possible so that you can decide.

About "this file can be closed with "Version Fixed set to 6.0.0" and NEWS file patched with this entry title", I'm not really sure about what you mean? So I will make change in NEWS file and mark that this bug has been solved?

Thanh.
Comment 9 caulier.gilles 2018-06-16 14:16:18 UTC
Look on the top right corner of this page, you have a tag to set the fixed version number.

For the rest, yes, close this file as fixed and patch NEWS file.